tech-pkg archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: OpenGL acceleration will be needed by gnome-games-2.26


I currently have modular-xorg-server 1.5.2 running with Mesa 7.2 on my
machine (5.99.01/i386);
pkgsrc packages just need some polishing, but should be ready to
commit by this Sunday
at the latest.  As of server 1.5 and Mesa 7.2 releases, the server no
longer requires
Mesa source at build-time; rather, all the necessary code is now built
in Mesa.  Additionally, they've
added a dri driver for the software rasterizer; thus, we no longer
will have to have a 'dri' option
in MesaLib (except for enabling the builds of dri drivers, which could
be split into a seperate package).

If it's OK, I'd like to get these updates into pkgsrc ASAP so that we
have ample time to ensure everything
works properly for our various platforms before the next quarterly branch.



P.S. I am almost done porting the newest BSD drm code to NetBSD--the
major issue is lack
of mmap support for fileops, i.e. fo_mmap.

Home | Main Index | Thread Index | Old Index